package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class PersenTanggunganPenjaminD
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "PersenTanggunganPenjaminD_M")
public class PersenTanggunganPenjaminDVO extends BaseMasterVO {
	@ManyToOne
	@JoinColumn(name = "ObjectGolonganAsuransiFk")
	@NotNull(message="Object Golongan Asuransi Harus Diisi")
	@Caption(value="Object Golongan Asuransi")
	private GolonganAsuransiVO kdGolonganAsuransi;

	public void setGolonganAsuransi(GolonganAsuransiVO kdGolonganAsuransi) {
		this.kdGolonganAsuransi = kdGolonganAsuransi;
	}

	@Column(name = "KdGolonganAsuransi", nullable = false )
	public GolonganAsuransiVO getGolonganAsuransi(){
		return this.kdGolonganAsuransi;
	}

	@Column(name = "ObjectGolonganAsuransiFk", insertable=false,updatable=false)
	private Integer golonganAsuransiId;

	@Caption(value="Kode Hubungan Asuransi")
	private Byte kdHubunganAsuransi;

	public void setKdHubunganAsuransi(Byte kdHubunganAsuransi) {
		this.kdHubunganAsuransi = kdHubunganAsuransi;
	}

	@Column(name = "KdHubunganAsuransi", nullable = false )
	public Byte getKdHubunganAsuransi(){
		return this.kdHubunganAsuransi;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectJenisPerawatanFk")
	@NotNull(message="Object Jenis Perawatan Harus Diisi")
	@Caption(value="Object Jenis Perawatan")
	private JenisPerawatanVO jenisPerawatan;

	public void setJenisPerawatan(JenisPerawatanVO jenisPerawatan) {
		this.jenisPerawatan = jenisPerawatan;
	}

	@Column(name = "KdJenisPerawatan", nullable = false )
	public JenisPerawatanVO getJenisPerawatan(){
		return this.jenisPerawatan;
	}

	@Column(name = "ObjectJenisPerawatanFk", insertable=false,updatable=false)
	private Integer jenisPerawatanId;

	@ManyToOne
	@JoinColumn(name = "ObjectKelasFk")
	@NotNull(message="Object KelasVO Harus Diisi")
	@Caption(value="Object Kelas")
	private DetailKamarVO kelas;

	public void setKelas(DetailKamarVO kelas) {
		this.kelas = kelas;
	}

	@Column(name = "KdKelas", nullable = false , length = 2)
	public DetailKamarVO getKelas(){
		return this.kelas;
	}

	@Column(name = "ObjectKelasFk", insertable=false,updatable=false)
	private Integer kelasId;

	@ManyToOne
	@JoinColumn(name = "ObjectKelompokPasienFk")
	@NotNull(message="Object Kelompok PasienVO Harus Diisi")
	@Caption(value="Object Kelompok Pasien")
	private KelompokPasienVO kelompokPasien;

	public void setKelompokPasien(KelompokPasienVO kelompokPasien) {
		this.kelompokPasien = kelompokPasien;
	}

	@Column(name = "KdKelompokPasien", nullable = false )
	public KelompokPasienVO getKelompokPasien(){
		return this.kelompokPasien;
	}

	@Column(name = "ObjectKelompokPasienFk", insertable=false,updatable=false)
	private Integer kelompokPasienId;

	@Caption(value="Kode Penjamin Pasien")
	private short kdPenjaminPasien;

	public void setKdPenjaminPasien(short kdPenjaminPasien) {
		this.kdPenjaminPasien = kdPenjaminPasien;
	}

	@Column(name = "KdPenjaminPasien", nullable = false )
	public short getKdPenjaminPasien(){
		return this.kdPenjaminPasien;
	}

	@Caption(value="Max T Penjamin")
	private Double maxTPenjamin;

	public void setMaxTPenjamin(Double maxTPenjamin) {
		this.maxTPenjamin = maxTPenjamin;
	}

	@Column(name = "MaxTPenjamin", nullable = false )
	public Double getMaxTPenjamin(){
		return this.maxTPenjamin;
	}

	@Caption(value="Qty Max Kunjungan")
	private short qtyMaxKunjungan;

	public void setqtyMaxKunjungan(short qtyMaxKunjungan) {
		this.qtyMaxKunjungan = qtyMaxKunjungan;
	}

	@Column(name = "QtyMaxKunjungan", nullable = false )
	public short getqtyMaxKunjungan(){
		return this.qtyMaxKunjungan;
	}

	@Caption(value="Tanggal Berlaku Akhir")
	private Date tglBerlakuAkhir;

	public void setTglBerlakuAkhir(Date tglBerlakuAkhir) {
		this.tglBerlakuAkhir = tglBerlakuAkhir;
	}

	@Column(name = "TglBerlakuAkhir", nullable = true )
	public Date getTglBerlakuAkhir(){
		return this.tglBerlakuAkhir;
	}

	@Caption(value="Tanggal Berlaku Awal")
	private Date tglBerlakuAwal;

	public void setTglBerlakuAwal(Date tglBerlakuAwal) {
		this.tglBerlakuAwal = tglBerlakuAwal;
	}

	@Column(name = "TglBerlakuAwal", nullable = false )
	public Date getTglBerlakuAwal(){
		return this.tglBerlakuAwal;
	}


}

